|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QXmlStreamEntityDeclaration Class Reference
[QtCore module]

The QXmlStreamEntityDeclaration class represents a DTD entity declaration. More...

     #include <QXmlStreamEntityDeclaration>

Note: All the functions in this class are reentrant.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

### Public Functions

- QXmlStreamEntityDeclaration ()
- QXmlStreamEntityDeclaration ( const QXmlStreamEntityDeclaration & other )
- ~QXmlStreamEntityDeclaration ()
- QStringRef name () const
- QStringRef notationName () const
- QStringRef publicId () const
- QStringRef systemId () const
- QStringRef value () const
- bool operator!= ( const QXmlStreamEntityDeclaration & other ) const
- QXmlStreamEntityDeclaration & operator= ( const QXmlStreamEntityDeclaration & other )
- bool operator== ( const QXmlStreamEntityDeclaration & other ) const

### Related Non-Members

- typedef QXmlStreamEntityDeclarations

## Detailed Description

The QXmlStreamEntityDeclaration class represents a DTD entity declaration.

An entity declaration consists of a name(), a notationName(), a systemId(), a publicId(), and a value().

## Member Function Documentation

### QXmlStreamEntityDeclaration::QXmlStreamEntityDeclaration ()

Creates an empty entity declaration.

### QXmlStreamEntityDeclaration::QXmlStreamEntityDeclaration ( const QXmlStreamEntityDeclaration & other )

Creates a copy of other.

### QXmlStreamEntityDeclaration::~QXmlStreamEntityDeclaration ()

Destructs this entity declaration.

### QStringRef QXmlStreamEntityDeclaration::name () const

Returns the entity name.

### QStringRef QXmlStreamEntityDeclaration::notationName () const

Returns the notation name.

### QStringRef QXmlStreamEntityDeclaration::publicId () const

Returns the public identifier.

### QStringRef QXmlStreamEntityDeclaration::systemId () const

Returns the system identifier.

### QStringRef QXmlStreamEntityDeclaration::value () const

Returns the entity's value.

### bool QXmlStreamEntityDeclaration::operator!= ( const QXmlStreamEntityDeclaration & other ) const

Compares this entity declaration with other and returns true if they are not equal; otherwise returns false.

### QXmlStreamEntityDeclaration & QXmlStreamEntityDeclaration::operator= ( const QXmlStreamEntityDeclaration & other )

Assigns other to this entity declaration.

### bool QXmlStreamEntityDeclaration::operator== ( const QXmlStreamEntityDeclaration & other ) const

Compares this entity declaration with other and returns true if they are equal; otherwise returns false.

## Related Non-Members

### typedef QXmlStreamEntityDeclarations

Synonym for QVector<QXmlStreamEntityDeclaration>.